{% extends "members/base.html" %}

{% block title %}
    User Registration
{% endblock %}

{% block content %}

    <div class="container-fluid">
        <div class="row justify-content-center">
            <div class="col col-sm-12 col-md-6 col-xl-6">
                <form action="" method="POST" role="form">
                    {% csrf_token %}
                    {% for field in form %}
                        <div class="fieldWrapper form-group" aria-required={% if field.field.required %}"true"
                        {% else %}"false"{% endif %}>
                        {{ field.label_tag }}{% if field.field.required %}<span class="required">*</span>{% endif %}
                        {{ field }}
                        {% if field.help_text %}
                            <p class="help">{{ field.help_text|safe }}</p>
                        {% endif %}
                        </div>
                    {% endfor %}
            <input type="submit" class="btn btn-primary mb-2" value="Submit"/>
            <button type="button" id="btnCancel" class="btn btn-secondary mb-2">Cancel</button>
            </form>
        </div>
    </div>
    </div>


    <script type="application/javascript">
        $('#btnCancel').on('click', () => {
            window.location = '{% url 'members:login' %}';
        })
    </script>
{% endblock %}